package cn.com.ctop.material.controller;

import cn.com.ctop.material.entity.MaterialUploadTask;
import cn.com.ctop.material.mapper.MaterialUploadTaskMapper;
import cn.com.ctop.material.service.IMaterialUploadTaskService;
import cn.com.ctop.material.utils.Check;
import cn.com.ctop.material.utils.LoadFileUtil;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.apache.http.entity.mime.content.FileBody;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.io.FileSystemResource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.io.File;
import java.util.Date;

/**
 * 同步素材任务
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-10-21
 */
@Slf4j
@RestController
@RequestMapping("/material/materialUploadTask")
public class MaterialUploadTaskController {
    @Autowired
    private IMaterialUploadTaskService materialUploadTaskService;

    @ResponseBody
    @GetMapping("/uploadMaterial")
    public JSONObject uploadVideo(String signature) {
        JSONObject returnJson = new JSONObject();
        materialUploadTaskService.upload(signature);
        returnJson.put("code", 0);
        returnJson.put("message", "任务提交成功");
        return returnJson;
    }

    @Autowired
    private MaterialUploadTaskMapper materialUploadTaskMapper;

    @ResponseBody
    @GetMapping("/test")
    public void test() {
        File file = new File("/Users/yumeng/video/11111.mp4");
        FileBody fileBody = new FileBody(file);
        MaterialUploadTask task = new MaterialUploadTask();
        task.setAccountId(1759777704649735L);
        task.setMediaId(1);
        task.setSignature("a153a3eb3be968261312660eebade59c");
        task.setUserId("e9ca23d68d884d4ebb19d07889727dae");
        task.setUserName("管理员");
        task.setMaterialName("11111.mp4");
        task.setMaterialUrl("https://media-1301855440.cos.ap-chongqing.myqcloud.com/video/2024-04-12/%E9%80%94%E8%99%8E%E4%BA%8C%E6%89%8B%E8%BD%A6-%E9%AB%98%E4%BB%B7%E5%8D%96%E8%BD%A6-%E5%89%AA%E8%BE%91-0330-RJ-2-1712907239714.mp4");

        int count = materialUploadTaskMapper.checkBytedance(task.getSignature());
        if (count == 0) {
            try {
                materialUploadTaskMapper.saveInfo(task.getSignature(), task.getMaterialName(), 1, "待同步", 122333L, new Date());
                materialUploadTaskService.uploadBytedanceAgent(fileBody, task);
            } catch (Exception e) {
                log.error("代理商上传素材验证失败:{}", e.getMessage());
            }

        }
    }

}
