package cn.com.ctop.material.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 同步素材任务
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-10-21
 */
@Data
@TableName("ctop_material_upload_task")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MaterialUploadTask {

    /**
     * id
     */
    @TableId(type = IdType.UUID)
    private Long id;
    /**
     * 媒体
     */
    private Integer mediaId;
    /**
     * 素材md5
     */
    private String signature;
    /**
     * 账户id
     */
    private Long accountId;
    /**
     * 快手账户id
     */
    private Long kuaishouUserId;
    /**
     * 上传人id
     */
    private String userId;
    /**
     * 上传人姓名
     */
    private String userName;
    /**
     * 素材名称
     */
    private String materialName;
    /**
     * 素材链接
     */
    private String materialUrl;
    /**
     * 上传状态
     */
    private Integer taskStatus;
    /**
     * remarks
     */
    private String remarks;
    private String syncAccounts;
    /**
     * 上传成功时间
     */
    private Date uploadTime;
    /**
     * updateTime
     */
    private Date updateTime;
    /**
     * createTime
     */
    private Date createTime;
    private Integer shieldBackwardSwitch;
}
